package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAelophyOrderWorkCallbackRequest struct {
	/*
	   仓配作业结果回传请求     */
	WorkCallbackRequest *domain.AlibabaAelophyOrderWorkCallbackWorkCallbackRequest `json:"work_callback_request" required:"true" `
}

func (s *AlibabaAelophyOrderWorkCallbackRequest) SetWorkCallbackRequest(v domain.AlibabaAelophyOrderWorkCallbackWorkCallbackRequest) *AlibabaAelophyOrderWorkCallbackRequest {
	s.WorkCallbackRequest = &v
	return s
}

func (req *AlibabaAelophyOrderWorkCallbackRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.WorkCallbackRequest != nil {
		paramMap["work_callback_request"] = util.ConvertStruct(*req.WorkCallbackRequest)
	}
	return paramMap
}

func (req *AlibabaAelophyOrderWorkCallbackRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
